Name: system-switch-java
Version: 1.1.5
Release: 5%{?dist}
Summary: A tool for changing the default Java toolset

%define baseurl https://fedorahosted.org

Group: Applications/System
License: GPLv2+
URL: %{baseurl}/%{name}
Source0: %{baseurl}/releases/s/y/system-switch-java/%{name}-%{version}.tar.gz
Patch0:   jre-java.patch
Patch1:   disabledUnderline.patch
Patch2:   tuiWidth.patch
Patch3:   version-fix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python-devel

Requires: chkconfig
Requires: libglade2
Requires: libuser-python
Requires: newt-python
Requires: pygtk2
Requires: pygtk2-libglade
Requires: python
Requires: usermode
Requires: usermode-gtk

%description
The system-switch-java package provides an easy-to-use tool to select
the default Java toolset for the system.

%prep
%setup -q
patch -p1 < %{PATCH0}
patch -p1 < %{PATCH1}
patch -p1 < %{PATCH2}
patch -p1 < %{PATCH3}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING COPYING.icon
%{_bindir}/%{name}
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/switch_java_functions.py*
%{_datadir}/%{name}/switch_java_gui.py*
%{_datadir}/%{name}/switch_java_tui.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/system-switch-java.glade
%config(noreplace) /etc/pam.d/%{name}
%config(noreplace) /etc/security/console.apps/%{name}

%changelog
* Tue Oct 25 2011 Deepak Bhole <dbhole@redhat.com> 1.1.5-5
- Resolves: rhbz# 745457
- Added new patch (3/version-fix.patch) to fix version

* Wed Aug 17 2011 Jiri Vanek <jvanek@redhat.com> - 1.1.5-4
- added jre-java patch to work corectly with java directories and not
  just with  jre  symlinks
  backward compatibility preserved
- added correct recognition of icedtea-web plugin
- added disabledUnderline patch
- added tuiWidth patch
- Resolves: rhbz#731039
- Resolves: rhbz#725718


* Tue Feb 01 2011 Deepak Bhole <dbhole@redhat.com> - 1.1.5-2
- Renamed url macro to prevent shadowing

* Wed Jan 05 2011 Deepak Bhole <dbhole@redhat.com> - 1.1.5-1
- Resolves: rhbz#663322
- Sync with F14:
  - Update to 1.1.5 which fixes rhbz 493898 and adds more translations

* Fri Apr 18 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-2
- Fix handling of broken primary java symlink.
- Resolves: rhbz#404331

* Mon Apr 14 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-1
- Import system-switch-java 1.1.2.
- Remove patches.
- Resolves: rhbz#442399
- Resolves: rhbz#404331

* Tue Jul 24 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-2
- Tolerate trailing newlines in alternatives file.
- Handle Sun plugin alternative.
- Do not use desktop-file-install.
- Resolves: rhbz#195649

* Tue Jun 27 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-1
- Import system-switch-java 1.1.0.
- Merge gui subpackage into base package.
- Resolves: rhbz#195649

* Tue Jan 23 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.0.0-1
- Initial release.
